/******************************************************************************
 * Steve Rider - stever@transmission23.com
 * QuickPics
 *   Image galleries for the web made easy
 *
 * image.h - image utilities for reading/writing/resizing images
 *
 *****************************************************************************/
/* 18 February 98 */

#ifndef IMAGE_H
#define IMAGE_H

#include "jpeglib.h"

int IsImage(char *filepath, int *type);
int Image_GetDimensions(char *filename, int *width, int *height);
int Image_Scale(char *in, char *out, int scale_denom, int q, int *w, int *h);

#define IMAGE_JPG 1
#define IMAGE_GIF 2

#endif /* IMAGE_H */
